import { EventEmitter } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { IonDatetime } from "@ionic/angular";
import { DynamicDatePickerModel, DynamicFormControlCustomEvent, DynamicFormControlLayout, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicFormControlComponent } from "@danielhokanson/ng-dynamic-forms-core";
import * as i0 from "@angular/core";
export declare class DynamicIonicDateTimeComponent extends DynamicFormControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    formLayout?: DynamicFormLayout;
    group: UntypedFormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicDatePickerModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    customEvent: EventEmitter<DynamicFormControlCustomEvent>;
    focus: EventEmitter<any>;
    ionDatetime: IonDatetime;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicIonicDateTimeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicIonicDateTimeComponent, "dynamic-ionic-datetime", never, { "formLayout": { "alias": "formLayout"; "required": false; }; "group": { "alias": "group"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, { "blur": "blur"; "change": "change"; "customEvent": "customEvent"; "focus": "focus"; }, never, never, true, never>;
}
